import * as __WEBPACK_EXTERNAL_MODULE__data_source_collection_field_interface_CollectionFieldInterface_mjs__ from "../../data-source/collection-field-interface/CollectionFieldInterface.mjs";
import * as __WEBPACK_EXTERNAL_MODULE__properties_index_mjs__ from "./properties/index.mjs";
function _define_property(obj, key, value) {
    if (key in obj) Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
    });
    else obj[key] = value;
    return obj;
}
class UrlFieldInterface extends __WEBPACK_EXTERNAL_MODULE__data_source_collection_field_interface_CollectionFieldInterface_mjs__.CollectionFieldInterface {
    schemaInitialize(schema, param) {
        let { block } = param;
    }
    constructor(...args){
        super(...args), _define_property(this, "name", 'url'), _define_property(this, "type", 'string'), _define_property(this, "group", 'basic'), _define_property(this, "order", 5), _define_property(this, "title", '{{t("URL")}}'), _define_property(this, "default", {
            type: 'text',
            uiSchema: {
                type: 'string',
                'x-component': 'Input.URL'
            }
        }), _define_property(this, "availableTypes", [
            'string',
            'text'
        ]), _define_property(this, "properties", {
            ...__WEBPACK_EXTERNAL_MODULE__properties_index_mjs__.defaultProps
        }), _define_property(this, "titleUsable", true), _define_property(this, "filterable", {
            operators: __WEBPACK_EXTERNAL_MODULE__properties_index_mjs__.operators.string
        });
    }
}
export { UrlFieldInterface };
